#!/bin/bash

# use the SDK to build the module:
# https://github.com/IchthysMaranatha/asterisk-chan-quectel
# The module is for two vendors, the Quectel-EC* and Simcom SIM7600. In
# preparation I bought one of each (EC25EUX and SIM7600G specifically), I don't
# really care if only one will work, then I'll just buy more of that specific
# vendor's model.
# now I noticed there is actually a Makefile for openwrt in the repo already:
# https://github.com/IchthysMaranatha/asterisk-chan-quectel/tree/master/openwrt

cp -r feed /openwrt/
cp feeds.conf /openwrt/

pwd=$(pwd)
cd /openwrt

./scripts/feeds update -a
./scripts/feeds install -a

cp config.buildinfo /openwrt/.config
cat ${pwd}/config.extra >> /openwrt/.config
make defconfig

make -j1 V=s world

# The full distribution
ls -lah bin/targets/bcm27xx/bcm2711

# tar -xJf bin/targets/bcm27xx/bcm2711/openwrt-imagebuilder-${OPENWRT_VERSION}-*.tar.xz
# cp bin/targets/bcm27xx/bcm2711/packages/asterisk*.ipk openwrt-imagebuilder-*/packages/

cd ${pwd}

# make info

# make image \
# 	PROFILE=rpi-4 \
# 	PACKAGES="kmod-rtc-ds1307 \
#                   kmod-usb-net-rtl8152 \
#                   pciutils usbutils \
#                   kmod-usb-net-qmi-wwan libqmi qmi-utils uqmi luci-proto-qmi \
#                   asterisk \
#                   asterisk-pjsip asterisk-bridge-simple \
# 		  asterisk-codec-alaw asterisk-codec-ulaw \
# 		  asterisk-res-rtp-asterisk kmod-nf-nathelper-extra \
# 		  asterisk-chan-quectel"

out=../../out

mkdir -p ${out}
mv /openwrt/bin/targets/bcm27xx/bcm2711/*.gz ${out}
mv /openwrt/bin/targets/bcm27xx/bcm2711/packages ${out}
